Package com.google.android.exoplayer2.upstream

## Interface DataSource.Factory

- All Known Subinterfaces:
    `HttpDataSource.Factory`
  All Known Implementing Classes:
    `CacheDataSource.Factory`, `CacheDataSourceFactory`, `CronetDataSource.Factory`, `CronetDataSourceFactory`, `DefaultDataSourceFactory`, `DefaultHttpDataSource.Factory`, `DefaultHttpDataSourceFactory`, `FakeDataSource.Factory`, `FileDataSource.Factory`, `FileDataSourceFactory`, `HttpDataSource.BaseFactory`, `OkHttpDataSource.Factory`, `OkHttpDataSourceFactory`, `PriorityDataSourceFactory`, `ResolvingDataSource.Factory`, `RtmpDataSource.Factory`, `RtmpDataSourceFactory`
  Enclosing interface:
    DataSource

      public static interface DataSource.Factory

  A factory for `DataSource` instances.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `DataSource` | `createDataSource()` | Creates a `DataSource` instance.

- - ### Method Detail

    - #### createDataSource

          DataSource createDataSource()

      Creates a `DataSource` instance.